Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.selector
Class TimerTask

    java.lang.Object
      rice.selector.TimerTask

All Implemented Interfaces:
  java.lang.Comparable, CancellableTask

Direct Known Subclasses:
  DeliveryTimerTask, PartitionHandler, ScheduledMessage, SocketCollectionManager.DeadChecker, SocketCollectionManager.MessageRetry

    public abstract class TimerTask

extends java.lang.Object
implements CancellableTask, java.lang.Comparable

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Field Summary
`protected boolean` | `cancelled` DESCRIBE THE FIELD
`protected boolean` | `fixedRate` DESCRIBE THE FIELD
`protected long` | `nextExecutionTime` DESCRIBE THE FIELD
`protected int` | `period` If period is positive, task will be rescheduled.
`protected int` | `seq` DESCRIBE THE FIELD

Constructor Summary
`TimerTask()`

Method Summary
`boolean` | `cancel()` DESCRIBE THE METHOD
`int` | `compareTo(java.lang.Object arg0)` DESCRIBE THE METHOD
`boolean` | `execute(TimeSource ts)` Returns true if should re-insert.
`boolean` | `isCancelled()` Gets the Cancelled attribute of the TimerTask object
`abstract void` | `run()` Main processing method for the TimerTask object
`long` | `scheduledExecutionTime()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nextExecutionTime

    protected long nextExecutionTime

  DESCRIBE THE FIELD

### cancelled

    protected boolean cancelled

  DESCRIBE THE FIELD

### seq

    protected int seq

  DESCRIBE THE FIELD

### period

    protected int period

  If period is positive, task will be rescheduled.

### fixedRate

    protected boolean fixedRate

  DESCRIBE THE FIELD

Constructor Detail

### TimerTask

    public TimerTask()

Method Detail

### isCancelled

    public boolean isCancelled()

  Gets the Cancelled attribute of the TimerTask object

  Returns:
    The Cancelled value

### run

    public abstract void run()

  Main processing method for the TimerTask object

  Specified by:
    `run` in interface `CancellableTask`

### execute

    public boolean execute(TimeSource ts)

  Returns true if should re-insert.

  Parameters:
    `ts` - DESCRIBE THE PARAMETER
  Returns:

### cancel

    public boolean cancel()

  DESCRIBE THE METHOD

  Specified by:
    `cancel` in interface `CancellableTask`
  Returns:
    DESCRIBE THE RETURN VALUE

### scheduledExecutionTime

    public long scheduledExecutionTime()

  DESCRIBE THE METHOD

  Specified by:
    `scheduledExecutionTime` in interface `CancellableTask`
  Returns:
    DESCRIBE THE RETURN VALUE

### compareTo

    public int compareTo(java.lang.Object arg0)

  DESCRIBE THE METHOD

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `arg0` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.